=== debian/changelog ===
ros-one-stage-ros (1.8.0-1noble.20251023.0955) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- William Woodall <william@osrfoundation.org>  Thu, 23 Oct 2025 09:55:59 +0000

ros-one-stage-ros (1.8.0-0noble) noble; urgency=high

  * Now uses Stage's native event loop properly and added reassuring startup output.
  * Added a GUI section so that the world starts in a good place.
  * Fixed issue such that ranger intensity values are no longer clipped to 256
    See: #31 <https://github.com/ros-simulation/stage_ros/issues/31>
  * Contributors: Richard Vaughan, Shane Loretz, William Woodall, gerkey

 -- William Woodall <william@osrfoundation.org>  Sun, 30 Apr 2017 00:00:00 -0000

ros-one-stage-ros (1.7.5-0noble) noble; urgency=high

  * Removed all references to FLTK/Fluid and use the upstream CMake config file instead.
  * Added ``reset_positions`` service to stage (adds dependency on ``std_srvs``).
  * Contributors: Aurélien Ballier, Daniel Claes, Scott K Logan, William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 16 Sep 2015 00:00:00 -0000

ros-one-stage-ros (1.7.4-0noble) noble; urgency=high

  * Added missing -ldl flag on newer versions of Ubuntu
  * Contributors: William Woodall

 -- William Woodall <william@osrfoundation.org>  Wed, 04 Mar 2015 00:00:00 -0000

ros-one-stage-ros (1.7.3-0noble) noble; urgency=high

  * Split up ``fltk`` dep into ``libfltk-dev`` and ``fluid``, only ``run_depend``'ing on fluid.
  * Now supports multiple robots with multiple sensors.
  * Fixed a bug on systems that cannot populate FLTK_INCLUDE_DIRS.
  * Updated topurg model from "laser" to "ranger".
  * Added -u option to use name property of position models as its namespace instead of "robot_0", "robot_1", etc.
  * Contributors: Gustavo Velasco Hernández, Gustavo Velasco-Hernández, Pablo Urcola, Wayne Chang, William Woodall

 -- William Woodall <william@osrfoundation.org>  Mon, 26 Jan 2015 00:00:00 -0000

ros-one-stage-ros (1.7.2-0noble) noble; urgency=high

  * Changed default GUI window size to 600x400
  * Added velocity to ground truth odometry
  * Fixed tf (yaw component) for the base_link->camera transform.
  * Fixed ground truth pose coordinate system

 -- William Woodall <william@osrfoundation.org>  Thu, 19 Sep 2013 00:00:00 -0000

ros-one-stage-ros (1.7.1-0noble) noble; urgency=high

  * Fixing warnings
  * Small fixes
  * Added RGB+3D-sensor interface (Primesense/Kinect/Xtion).
    * Publishes CameraInfo, depth image, RGBA image, tf (takes world-file pantilt paremeter into account)
    * Supports the "old" configuration (laser+odom) as well as camera+odom, laser+camera+odom and odom-only.
    Fixed laser transform height (previously was hardcoded at 0.15, now it takes robot height into account).
  * Introduced changes from https://github.com/rtv/Stage/issues/34 with some changes (does not require lasers to be present and works without cameras).

 -- William Woodall <william@osrfoundation.org>  Fri, 30 Aug 2013 00:00:00 -0000

ros-one-stage-ros (1.7.0-0noble) noble; urgency=high

  * Initial move over from old repository: https://code.ros.org/svn/ros-pkg/stacks/stage
  * Catkinized
  * Stage itself is released as a third party package now
  * Had to disable velocities in the output odometry as Stage no longer implements it internally.
  * Updated rostest
  * Updated rviz configurations

 -- William Woodall <william@osrfoundation.org>  Thu, 27 Jun 2013 18:15:07 +0000
