=== debian/control ===
Source: ros-one-stage-ros
Section: misc
Priority: optional
Maintainer: William Woodall <william@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-one-catkin, ros-one-geometry-msgs, ros-one-nav-msgs, ros-one-roscpp, ros-one-rostest, ros-one-sensor-msgs, ros-one-stage, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf
Homepage: http://ros.org/wiki/stage_ros
Standards-Version: 3.9.2

Package: ros-one-stage-ros
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, ros-one-geometry-msgs, ros-one-nav-msgs, ros-one-roscpp, ros-one-sensor-msgs, ros-one-stage, ros-one-std-msgs, ros-one-std-srvs, ros-one-tf
Description: This package provides ROS specific hooks for stage
