## ros-one-stage-ros 1.8.0-1noble.20251208.0920

=== debian/changelog ===
ros-one-stage-ros (1.8.0-1noble.20251208.0920) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- William Woodall <william@osrfoundation.org>  Mon, 08 Dec 2025 09:20:35 +0000
